![UI5 icon](https://raw.githubusercontent.com/SAP/ui5-webcomponents/master/docs/images/UI5_logo_wide.png)

# UI5 Web Components - Create Package

[![Travis CI Build Status](https://travis-ci.org/SAP/ui5-webcomponents.svg?branch=master)](https://travis-ci.org/SAP/ui5-webcomponents)
[![npm Package Version](https://badge.fury.io/js/%40ui5%2Fwebcomponents.svg)](https://www.npmjs.com/package/@gsmlg/ui5-webcomponents)

Provides an `npm init` script for creating new "UI5 Web Components" packages.

## Usage

with `npm`

- `npm init @gsmlg/ui5-webcomponents-package` (the user will be asked for **name**, **port**, **tag**);
- `npm init @gsmlg/ui5-webcomponents-package <NEW-PACKAGE-NAME>` (the user will be asked for **port** and **tag** only).

And with `yarn`

- `yarn create @gsmlg/ui5-webcomponents-package`
- `yarn create @gsmlg/ui5-webcomponents-package <NEW-PACKAGE-NAME>`.

The script creates a new directory, and fills it with a `package.json` file and all necessary source files, and resources for a new
components package.

## Resources
- [UI5 Web Components - README.md](https://github.com/SAP/ui5-webcomponents/blob/master/README.md)
- [UI5 Web Components - Home Page](https://sap.github.io/ui5-webcomponents)
- [UI5 Web Components - Playground and API Reference](https://sap.github.io/ui5-webcomponents/playground/)

## Support
We welcome all comments, suggestions, questions, and bug reports. Please follow our [Support Guidelines](https://github.com/SAP/ui5-webcomponents/blob/master/SUPPORT.md#-content) on how to report an issue, or chat with us in the `#webcomponents` channel of the [OpenUI5 Community Slack](https://join-ui5-slack.herokuapp.com/).

## Contribute
Please check our [Contribution Guidelines](https://github.com/SAP/ui5-webcomponents/blob/master/docs/6-contributing/02-conventions-and-guidelines.md).

## License
Copyright (c) 2019 SAP SE or an SAP affiliate company. All rights reserved.
This file is licensed under the Apache Software License, Version 2.0 except as noted otherwise in the [LICENSE](https://github.com/SAP/ui5-webcomponents/blob/master/LICENSE.txt) file.
